%define		ocaml_ver	1:3.09.2
Summary:	A stew of OCaml utility function
Summary(pl.UTF-8):	Zbiór funkcji narzędziowych dla OCamla
Name:		ocaml-stew
Version:	0.12.0
Release:	17
License:	LGPL
Group:		Libraries
Source0:	http://raevnos.pennmush.org/code/stew-%{version}.tar.gz
# Source0-md5:	7e822ca90a5265a2f1b94e81add6eb4c
URL:		http://raevnos.pennmush.org/code/ocaml.html
BuildRequires:	autoconf
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-findlib >= 0.7.2
BuildRequires:	ocaml-pcre-devel
%requires_eq	ocaml-pcre
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Stew is a general-purpose library of useful utility and extension
routines. Highlights include random number generators and
distributions, locale support, improved time printing, and character
classification routines that are locale-dependant.

This package contains files needed to run bytecode executables using
this library.

%description -l pl.UTF-8
Stew jest ogólnego użytku biblioteką użytecznych funkcji narzędziowych
i rozszerzeń. Zawiera generatory i dystrybucje liczb losowych,
wsparcie dla lokalizacji, ulepszone drukowanie czasu, oraz funkcje
klasyfikacji znaków (<ctype.h>), które są zależne od locale.

Pakiet ten zawiera binaria potrzebne do uruchamiania programów
używających tej biblioteki.

%package devel
Summary:	A stew of OCaml utility function - development part
Summary(pl.UTF-8):	Zbiór funkcji narzędziowych dla OCamla - cześć programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
Stew is a general-purpose library of useful utility and extension
routines. Highlights include random number generators and
distributions, locale support, improved time printing, and character
classification routines that are locale-dependant.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl.UTF-8
Stew jest ogólnego użytku biblioteką użytecznych funkcji narzędziowych
i rozszerzeń. Zawiera generatory i dystrybucje liczb losowych,
wsparcie dla lokalizacji, ulepszone drukowanie czasu, oraz funkcje
klasyfikacji znaków (<ctype.h>), które są zależne od locale.

Pakiet ten zawiera pliki niezbędne do tworzenia programów używających
tej biblioteki.

%prep
%setup -q -n stew-%{version}

%build
%{__autoconf}
%configure
%{__make} all opt
rm -f *.cma
%{__make} DLL='-cclib -lstew'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/{stublibs,site-lib/stew}

ln -s ../stublibs $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib

%{__make} install \
	CAMLLIB=$RPM_BUILD_ROOT%{_libdir}/ocaml \
	OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml

echo >> $RPM_BUILD_ROOT%{_libdir}/ocaml/stew/META
echo 'directory = "+stew"' >> $RPM_BUILD_ROOT%{_libdir}/ocaml/stew/META
mv -f $RPM_BUILD_ROOT%{_libdir}/ocaml/stew/META \
	$RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/stew
rm -f $RPM_BUILD_ROOT%{_libdir}/ocaml/stew/*.mli

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/ocaml/stublibs/*.so

%files devel
%defattr(644,root,root,755)
%doc html/*
%{_libdir}/ocaml/stew
%{_libdir}/ocaml/site-lib/stew
%changelog
* Sun Oct 21 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-stew.git;a=log;h=master

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 0abefdc
- rebuild to fix broken filedigests
- release 17 (by relup.sh)

* Mon Sep 24 2012 Jan Rękorajski <baggins@pld-linux.org> 2ea0090
- rebuild with fixed rpm macros
- release 16 (by relup.sh)

* Sun Sep 23 2012 Jan Rękorajski <baggins@pld-linux.org> 78f1882
- release 15 (by relup.sh)

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> db10705
- release 14

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> cad1edd
- release 13

* Sat Apr 18 2009 areq <areq@pld-linux.org> 443841f
- rel 12

* Thu Jul 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 00dcaee
- release 11

* Sat Jun 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a4acfeb
- release 10

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5a8eedd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 105a2f7
- converted to UTF-8

* Wed May 31 2006 Elan Ruusamäe <glen@pld-linux.org> 591654d
- rel 9 (rebuild with ocaml-3.09.2)

* Sun Apr 16 2006 Elan Ruusamäe <glen@pld-linux.org> b0f9129
- ocaml epoch is 1

* Sat Apr 15 2006 Elan Ruusamäe <glen@pld-linux.org> ee6bccd
- ocaml 3.09.1

* Sat Dec 10 2005 Jan Rękorajski <baggins@pld-linux.org> 7d38983
- release 6 for ocaml 3.09.0

* Tue Oct 11 2005 Sławomir Paszkiewicz <paszczus@pld-linux.org> a27b414
- release up to rebuild with new ocaml

* Sat May 21 2005 ankry <ankry@pld-linux.org> 7a6e283
- rel. 4

* Fri Aug 27 2004 havner <havner@pld-linux.org> 81511ac
- [mass commit], rel up for rebuild with ocaml

* Thu Oct 30 2003 Jakub Bogusz <qboosh@pld-linux.org> 253f51f
- moved base docs to base, removed LICENSE (just LGPL)

* Wed Sep 03 2003 Michal Moskal <michal@moskal.me> 84301c2
- release 2 for ocaml 3.07
- fixed requires (pcre)

* Tue Jun 17 2003 ankry <ankry@pld-linux.org> e5e9c0a
- 0.12.0

